package com.gyee.runeconomy.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author gfhd
 * @since 2024-05-29
 */
@Data
@TableName("turbine_info_day")
public class TurbineInfoDay implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    private String stationId;
    private String projectId;
    private String lineId;
    private String turbineId;
    private Date recordDate;
    private BigDecimal rfdl;
    private BigDecimal jhjxss;
    private BigDecimal fjhjxss;
    private BigDecimal xdss;
    private BigDecimal slss;
    private BigDecimal xnss;
    private Double llfdl;
    private Double pjfs;
    private Double edfs;
    private Double xfqrfs;
    private Double hjwd;
    private BigDecimal djss;
    private BigDecimal gzss;
    private Double djMin;
    private Double tjMin;
    private Double yxMin;
    private Double gzMin;
    private Double jxMin;
    private Double xdMin;
    private Double lxMin;
    private Long djcs;
    private Integer tjcs;
    private Long yxcs;
    private Long gzcs;
    private Long jxcs;
    private Long xdcs;
    private Long lxcs;
    private Double jfpl;
    private Double glyzxxs;
    private Double fx;
    private Double yxfss;
    private Double lyxs;
    private Double klyl;
    private Double fnlyl;
    private Double bll;
}
